Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package classpath
  Definition Classes
    nsc
- AggregateClassPath
- ClassFileEntry
- ClassPathEntries
- ClassPathFactory
- CtSymClassPath
- DirectoryClassPath
- DirectoryLookup
- DirectorySourcePath
- FileBasedCache
- FileUtils
- JFileDirectoryLookup
- JrtClassPath
- PackageEntry
- PackageName
- PackageNameUtils
- SourceFileEntry
- VirtualDirectoryClassPath
- ZipAndJarClassPathFactory
- ZipAndJarFileLookupFactory
- ZipAndJarSourcePathFactory
- ZipArchiveFileLookup

t

scala.tools.nsc.classpath

# SourceFileEntry

###

#### trait SourceFileEntry extends ClassRepresentation

Source
  ClassPath.scala

Linear Supertypes
ClassRepresentation, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SourceFileEntry
2. ClassRepresentation
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def binary: Option[AbstractFile]
   Definition Classes
     ClassRepresentation
2.  abstract def file: AbstractFile
3.  abstract def fileName: String
   Definition Classes
     ClassRepresentation
4.  abstract def name: String
   Definition Classes
     ClassRepresentation
5.  abstract def source: Option[AbstractFile]
   Definition Classes
     ClassRepresentation

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SourceFileEntry toany2stringadd[SourceFileEntry] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SourceFileEntry, B)
   Implicit
     This member is added by an implicit conversion from SourceFileEntry toArrowAssoc[SourceFileEntry] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (SourceFileEntry) => Boolean, msg: => Any): SourceFileEntry
   Implicit
     This member is added by an implicit conversion from SourceFileEntry toEnsuring[SourceFileEntry] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (SourceFileEntry) => Boolean): SourceFileEntry
   Implicit
     This member is added by an implicit conversion from SourceFileEntry toEnsuring[SourceFileEntry] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): SourceFileEntry
    Implicit
      This member is added by an implicit conversion from SourceFileEntry toEnsuring[SourceFileEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): SourceFileEntry
    Implicit
      This member is added by an implicit conversion from SourceFileEntry toEnsuring[SourceFileEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SourceFileEntry toStringFormat[SourceFileEntry] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def nameChars(buffer: Array[Char]): Int

    Low level way to extract the entry name without allocation.

    Low level way to extract the entry name without allocation.

    Definition Classes
      ClassRepresentation
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (SourceFileEntry, B)
   Implicit
     This member is added by an implicit conversion from SourceFileEntry toArrowAssoc[SourceFileEntry] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ClassRepresentation

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromSourceFileEntry to any2stringadd[SourceFileEntry]

### Inherited by implicit conversion StringFormat fromSourceFileEntry to StringFormat[SourceFileEntry]

### Inherited by implicit conversion Ensuring fromSourceFileEntry to Ensuring[SourceFileEntry]

### Inherited by implicit conversion ArrowAssoc fromSourceFileEntry to ArrowAssoc[SourceFileEntry]

### Ungrouped